using System;

namespace Aurora.Backend.Services.PlayerService
{
    public delegate void PlaybackStateChangedEventHandler(object source, PlaybackStateChangedEventArgs e);

    public class PlaybackStateChangedEventArgs : EventArgs
    {
        public PlaybackState OldState { get; }
        public PlaybackState NewState { get; }

        public PlaybackStateChangedEventArgs(PlaybackState oldState, PlaybackState newState)
        {
            OldState = oldState;
            NewState = newState;
        }
    }
}